Package Details: runelite-launcher 1.6.2-3

Git Clone URL: https://aur.archlinux.org/runelite-launcher.git (read-only)
Package Base: runelite-launcher
Description: Open source Old School RuneScape client. (Launcher with auto-update)
Upstream URL: https://github.com/runelite/launcher
Licenses: BSD
Submitter: jcstryker
Maintainer: jcstryker
Last Packager: jcstryker
Votes: 2
Popularity: 0.351886
First Submitted: 2019-02-06 03:55
Last Updated: 2019-03-31 19:00

Dependencies (5)

Required by (0)

Sources (2)

Latest Comments

AtTheLoj commented on 2019-03-03 00:20

When i try installing with 'yay' I keep getting a build error.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile (default-compile) on project launcher: Compilation failure [ERROR] No compiler is provided in this environment. Perhaps you are running on a JRE rather than a JDK?

I have java-8-openjdk installed. any ideas?

deathbeam commented on 2019-02-25 16:03

Hello, RuneLite admin here.

As improvement, you should remove bash dependency (as it is really not needed, you can just use /bin/sh, everything you do in runelite-launcher is POSIX compatible), e.g:

#!/bin/sh

exec java -Dhttps.protocols=TLSv1.2 -jar /usr/share/runelite-launcher/Launcher.jar "$@"

(you should also wrap $@ in quotes like I did there).

And this should probably be updated also for runelite and runelite-git.